using Microsoft.AspNetCore.Authentication.Cookies;
using Microsoft.AspNetCore.Authentication.OpenIdConnect;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace WebApplication_MVC.Controllers
{
    public class AccountController : Controller
    {
        public ActionResult Login()
        {
            return Challenge(OpenIdConnectDefaults.AuthenticationScheme);
        }

        [HttpGet]
        public ActionResult Logout(int id)
        {
            return SignOut(CookieAuthenticationDefaults.AuthenticationScheme, OpenIdConnectDefaults.AuthenticationScheme);
        }

    }
}
